SDL_IsAudioDevicePlayback(3)

NAME
SDL_IsAudioDevicePlayback - Determine if an audio device is a playback device (instead of recording).

SYNOPSIS
#include <SDL3/SDL_audio.h>

bool SDL_IsAudioDevicePlayback(SDL_AudioDeviceID devid);

DESCRIPTION
This function may return either true or false for invalid device IDs.

FUNCTION PARAMETERS

devid
    the device ID to query.

RETURN VALUE
Returns true if devid is a playback device, false if it is recording.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.